clang 8.0.0

Classes | Public Types | Public Member Functions | Friends | List of all members
clang::ASTUnresolvedSet Class Reference

An UnresolvedSet-like class which uses the ASTContext's allocator. More...

`#include "clang/AST/ASTUnresolvedSet.h"`

## Public Types
using | iterator = UnresolvedSetIterator
using | const_iterator = UnresolvedSetIterator

## Public Member Functions
| ASTUnresolvedSet ()=default
| ASTUnresolvedSet (ASTContext &C, unsigned N)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
void | addDecl (ASTContext &C, NamedDecl *D, AccessSpecifier AS)
bool | replace (const NamedDecl *Old, NamedDecl *New, AccessSpecifier AS)
| Replaces the given declaration with the new one, once. More...
void | erase (unsigned I)
void | clear ()
bool | empty () const
unsigned | size () const
void | reserve (ASTContext &C, unsigned N)
void | append (ASTContext &C, iterator I, iterator E)
DeclAccessPair & | operator[] (unsigned I)
const DeclAccessPair & | operator[] (unsigned I) const

## Friends
class | LazyASTUnresolvedSet

## Detailed Description

An UnresolvedSet-like class which uses the ASTContext's allocator.

Definition at line 30 of file ASTUnresolvedSet.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::ASTUnresolvedSet::const_iterator = UnresolvedSetIterator

Definition at line 48 of file ASTUnresolvedSet.h.

## ◆ iterator

using clang::ASTUnresolvedSet::iterator = UnresolvedSetIterator

Definition at line 47 of file ASTUnresolvedSet.h.

## Constructor & Destructor Documentation

## ◆ ASTUnresolvedSet() [1/2]

clang::ASTUnresolvedSet::ASTUnresolvedSet | ( |  | ) |
| default

## ◆ ASTUnresolvedSet() [2/2]

clang::ASTUnresolvedSet::ASTUnresolvedSet | ( | ASTContext & | C,
|  | unsigned | N
| ) |  |
| inline

Definition at line 45 of file ASTUnresolvedSet.h.

## Member Function Documentation

## ◆ addDecl()

void clang::ASTUnresolvedSet::addDecl | ( | ASTContext & | C,
|  | NamedDecl * | D,
|  | AccessSpecifier | AS
| ) |  |
| inline

Definition at line 56 of file ASTUnresolvedSet.h.

References clang::DeclAccessPair::make().

Referenced by clang::LazyASTUnresolvedSet::addLazyDecl(), and clang::CXXRecordDecl::lambdaIsDefaultConstructibleAndAssignable().

## ◆ append()

void clang::ASTUnresolvedSet::append | ( | ASTContext & | C,
|  | iterator | I,
|  | iterator | E
| ) |  |
| inline

Definition at line 84 of file ASTUnresolvedSet.h.

## ◆ begin() [1/2]

iterator clang::ASTUnresolvedSet::begin | ( |  | ) |
| inline

Definition at line 50 of file ASTUnresolvedSet.h.

Referenced by clang::ASTRecordWriter::AddUnresolvedSet(), clang::CXXRecordDecl::getVisibleConversionFunctions(), and clang::CXXRecordDecl::removeConversion().

## ◆ begin() [2/2]

const_iterator clang::ASTUnresolvedSet::begin | ( |  | ) | const
| inline

Definition at line 53 of file ASTUnresolvedSet.h.

## ◆ clear()

void clang::ASTUnresolvedSet::clear | ( |  | ) |
| inline

Definition at line 75 of file ASTUnresolvedSet.h.

## ◆ empty()

bool clang::ASTUnresolvedSet::empty | ( |  | ) | const
| inline

Definition at line 77 of file ASTUnresolvedSet.h.

Referenced by clang::LazyASTUnresolvedSet::addLazyDecl().

## ◆ end() [1/2]

iterator clang::ASTUnresolvedSet::end | ( |  | ) |
| inline

Definition at line 51 of file ASTUnresolvedSet.h.

Referenced by clang::ASTRecordWriter::AddUnresolvedSet(), clang::CXXRecordDecl::getVisibleConversionFunctions(), and clang::CXXRecordDecl::removeConversion().

## ◆ end() [2/2]

const_iterator clang::ASTUnresolvedSet::end | ( |  | ) | const
| inline

Definition at line 54 of file ASTUnresolvedSet.h.

## ◆ erase()

void clang::ASTUnresolvedSet::erase | ( | unsigned | I | ) |
| inline

Definition at line 73 of file ASTUnresolvedSet.h.

Referenced by clang::CXXRecordDecl::removeConversion().

## ◆ operator[]() [1/2]

DeclAccessPair& clang::ASTUnresolvedSet::operator[] | ( | unsigned | I | ) |
| inline

Definition at line 88 of file ASTUnresolvedSet.h.

## ◆ operator[]() [2/2]

const DeclAccessPair& clang::ASTUnresolvedSet::operator[] | ( | unsigned | I | ) | const
| inline

Definition at line 89 of file ASTUnresolvedSet.h.

## ◆ replace()

bool clang::ASTUnresolvedSet::replace | ( | const NamedDecl * | Old,
|  | NamedDecl * | New,
|  | AccessSpecifier | AS
| ) |  |
| inline

Replaces the given declaration with the new one, once.

Returns
  true if the set changed

Definition at line 63 of file ASTUnresolvedSet.h.

Referenced by clang::CXXRecordDecl::lambdaIsDefaultConstructibleAndAssignable().

## ◆ reserve()

void clang::ASTUnresolvedSet::reserve | ( | ASTContext & | C,
|  | unsigned | N
| ) |  |
| inline

Definition at line 80 of file ASTUnresolvedSet.h.

Referenced by clang::LazyASTUnresolvedSet::reserve().

## ◆ size()

unsigned clang::ASTUnresolvedSet::size | ( |  | ) | const
| inline

Definition at line 78 of file ASTUnresolvedSet.h.

Referenced by clang::ASTRecordWriter::AddUnresolvedSet(), and clang::CXXRecordDecl::removeConversion().

## Friends And Related Function Documentation

## ◆ LazyASTUnresolvedSet

friend class LazyASTUnresolvedSet
| friend

Definition at line 31 of file ASTUnresolvedSet.h.

The documentation for this class was generated from the following file:

- include/clang/AST/ASTUnresolvedSet.h